package fan.control;

import java.util.ArrayList;
import java.util.List;

import fan.model.Artiste;
import fan.model.Talent;

public class ArtisteControlService {
	private List<Artiste> artistes;

	public ArtisteControlService() {
		this.artistes = new ArrayList<>();
	}

	public void addArtiste(String name, String firstName, String talent) {
		Artiste artiste = new Artiste(name, firstName, Talent.valueOf(talent));
		this.artistes.add(artiste);
	}

	public String showArtiste() {
		String concat = "";
		for (Artiste artiste : this.artistes) {
			concat += artiste.toString() + "\n";
		}
		return concat;
	}
	
	/**
	 * Faon maison que j'avais fait pour convertir un String en Talent.
	 * J'utilise  la place le .valueOf vue sur la session du 5/11/2019
	 */
	public Talent convertString(String userInput) {
		Talent talent = null;
		for (Talent t : Talent.values()) {
			if (t.toString().equals(userInput)) {
				talent = t;
			}
		}
		if (talent == null) {
			throw new IllegalArgumentException(userInput + " n'est pas un talent.");
		}
		return talent;
	}
}
